Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -1188,592 +1241,596 @@
 containsPositiveVector	containsPositiveVector	sing_193.htm#SEC233	
 containsRelatively		sing_194.htm#SEC234	
-content		sing_1002.htm#SEC1078	
-contentSB, option		sing_364.htm#IDX167	
+content		sing_1004.htm#SEC1080	
+contentSB, option		sing_364.htm#IDX172	
 continue	Behavior of continue	sing_429.htm#SEC469	
 continue 		sing_463.htm#SEC503	
-contraHom		sing_809.htm#SEC861	
+contraHom		sing_811.htm#SEC863	
 contract		sing_272.htm#SEC312	
-contributors		sing_406.htm#IDX194	
-control		sing_1859.htm#SEC1935	
-control.lib		sing_1858.htm#SEC1934	
-controlDim		sing_1860.htm#SEC1936	
-controlExample		sing_1872.htm#SEC1948	
-control_Matrix		sing_1561.htm#SEC1637	
-control_lib		sing_1858.htm#SEC1934	
-convertdata		sing_1435.htm#SEC1511	
-convex geometry		sing_2411.htm#SEC2487	
+contributors		sing_406.htm#IDX199	
+control		sing_1862.htm#SEC1938	
+control.lib		sing_1861.htm#SEC1937	
+controlDim		sing_1863.htm#SEC1939	
+controlExample		sing_1875.htm#SEC1951	
+control_Matrix		sing_1564.htm#SEC1640	
+control_lib		sing_1861.htm#SEC1937	
+convertdata		sing_1438.htm#SEC1514	
+convex geometry		sing_2416.htm#SEC2492	
 convexHull		sing_195.htm#SEC235	
 convexIntersection		sing_196.htm#SEC236	
-convloc		sing_608.htm#SEC660	
-coordinate change		sing_2138.htm#IDX801	
-coordinate change 		sing_2139.htm#IDX802	
-coordinate change  		sing_2140.htm#IDX803	
-coordinates		sing_2015.htm#IDX726	
-coords		sing_2015.htm#SEC2091	
-copyTask		sing_1066.htm#SEC1142	
+convloc		sing_609.htm#SEC661	
+coordinate change		sing_2141.htm#IDX808	
+coordinate change 		sing_2142.htm#IDX809	
+coordinate change  		sing_2143.htm#IDX810	
+coordinates		sing_2018.htm#IDX733	
+coords		sing_2018.htm#SEC2094	
+copyTask		sing_1069.htm#SEC1145	
 copyright		sing_1.htm#IDX1	
-corank		sing_1520.htm#SEC1596	
-cornerMonomials		sing_1316.htm#SEC1392	
-countPoints		sing_1940.htm#SEC2016	
-coverings		sing_1180.htm#IDX469	
-coverings 		sing_1181.htm#IDX473	
-cpu		sing_406.htm#IDX196	
-cpu 		sing_406.htm#IDX263	
-createBO		sing_1466.htm#SEC1542	
-createGradedRingHomomorphism	createGradedRingHomomorphism	sing_2353.htm#SEC2429	
-createGroup		sing_2346.htm#SEC2422	
-createQuotientGroup		sing_2347.htm#SEC2423	
-createTask		sing_1064.htm#SEC1140	
-createTorsionFreeGroup	createTorsionFreeGroup	sing_2348.htm#SEC2424	
-createlist		sing_1448.htm#SEC1524	
-crypto.lib		sing_1913.htm#SEC1989	
-crypto_lib		sing_1913.htm#SEC1989	
-cup		sing_1194.htm#SEC1270	
-cupproduct		sing_1195.htm#SEC1271	
-curve singularities		sing_1499.htm#IDX557	
-curve singularities 		sing_1587.htm#IDX679	
-curvepar.lib		sing_1540.htm#SEC1616	
-curvepar_lib		sing_1540.htm#SEC1616	
+corank		sing_1523.htm#SEC1599	
+cornerMonomials		sing_1319.htm#SEC1395	
+countPoints		sing_1943.htm#SEC2019	
+coverings		sing_1183.htm#IDX476	
+coverings 		sing_1184.htm#IDX480	
+cpu		sing_406.htm#IDX201	
+cpu 		sing_406.htm#IDX269	
+createBO		sing_1469.htm#SEC1545	
+createGradedRingHomomorphism	createGradedRingHomomorphism	sing_2356.htm#SEC2432	
+createGroup		sing_2349.htm#SEC2425	
+createQuotientGroup		sing_2350.htm#SEC2426	
+createTask		sing_1067.htm#SEC1143	
+createTorsionFreeGroup	createTorsionFreeGroup	sing_2351.htm#SEC2427	
+createlist		sing_1451.htm#SEC1527	
+crypto.lib		sing_1916.htm#SEC1992	
+crypto_lib		sing_1916.htm#SEC1992	
+cup		sing_1197.htm#SEC1273	
+cupproduct		sing_1198.htm#SEC1274	
+curve singularities		sing_1502.htm#IDX564	
+curve singularities 		sing_1590.htm#IDX686	
+curvepar.lib		sing_1543.htm#SEC1619	
+curvepar_lib		sing_1543.htm#SEC1619	
 custom assignment	Assignments for user defined types	sing_182.htm#SEC222	
 custom command	Commands for user defined types	sing_181.htm#SEC221	
 custom type	Definition of a user defined type	sing_178.htm#SEC218	
-customstd.so		sing_2462.htm#SEC2538	
-cycleLength		sing_2050.htm#SEC2126	
-cyclePoints		sing_2054.htm#SEC2130	
-cyclic		sing_989.htm#SEC1065	
-cyclic code	Codes and the decoding problem	sing_918.htm#SEC977	
-cyclotomic		sing_1674.htm#SEC1750	
+customstd.so		sing_2467.htm#SEC2543	
+cycleLength		sing_2053.htm#SEC2129	
+cyclePoints		sing_2057.htm#SEC2133	
+cyclic		sing_991.htm#SEC1067	
+cyclic code	Codes and the decoding problem	sing_920.htm#SEC979	
+cyclotomic		sing_1677.htm#SEC1753	
 datetime		sing_273.htm#SEC313	
 dbprint		sing_274.htm#SEC314	
-deRham.lib		sing_2408.htm#IDX896	
-deRhamCohom		sing_625.htm#SEC677	
-deRhamCohomIdeal		sing_626.htm#SEC678	
-deRhamCohomology		sing_2409.htm#SEC2485	
-deRham_lib		sing_2408.htm#IDX897	
-debugLib, option		sing_364.htm#IDX171	
-debug_log		sing_1530.htm#SEC1606	
+deRham.lib		sing_2413.htm#SEC2489	
+deRhamCohom		sing_626.htm#SEC678	
+deRhamCohomIdeal		sing_627.htm#SEC679	
+deRhamCohomology		sing_2414.htm#SEC2490	
+deRham_lib		sing_2413.htm#SEC2489	
+debugLib, option		sing_364.htm#IDX176	
+debug_log		sing_1533.htm#SEC1609	
 debugger	Source code debugger	sing_66.htm#SEC103	
 debugging library code	Source code debugger	sing_66.htm#SEC103	
-dec1var		sing_1247.htm#SEC1323	
-decimal		sing_1914.htm#SEC1990	
-decode		sing_1850.htm#SEC1926	
-decodeCode		sing_1852.htm#SEC1928	
-decodeRandom		sing_1851.htm#SEC1927	
-decodeRandomFL		sing_1855.htm#SEC1931	
-decodeSV		sing_1832.htm#SEC1908	
-decodegb.lib		sing_1837.htm#SEC1913	
-decodegb_lib		sing_1837.htm#SEC1913	
-decoding, decoding problem	Codes and the decoding problem	sing_918.htm#SEC978	
-decoef		sing_1880.htm#SEC1956	
-decone		sing_2141.htm#IDX805	
-decone 		sing_2142.htm#IDX807	
+dec1var		sing_1250.htm#SEC1326	
+decimal		sing_1917.htm#SEC1993	
+decode		sing_1853.htm#SEC1929	
+decodeCode		sing_1855.htm#SEC1931	
+decodeRandom		sing_1854.htm#SEC1930	
+decodeRandomFL		sing_1858.htm#SEC1934	
+decodeSV		sing_1835.htm#SEC1911	
+decodegb.lib		sing_1840.htm#SEC1916	
+decodegb_lib		sing_1840.htm#SEC1916	
+decoding, decoding problem	Codes and the decoding problem	sing_920.htm#SEC980	
+decoef		sing_1883.htm#SEC1959	
+decone		sing_2144.htm#IDX812	
+decone 		sing_2145.htm#IDX814	
 def		sing_83.htm#SEC123	
 def declarations		sing_84.htm#SEC124	
-defRes, option		sing_364.htm#IDX172	
+defRes, option		sing_364.htm#IDX177	
 default argument		sing_44.htm#SEC81	
-defineHomogeneous		sing_2386.htm#SEC2462	
+defineHomogeneous		sing_2389.htm#SEC2465	
 defined		sing_275.htm#SEC315	
-defl		sing_1397.htm#SEC1473	
-deform		sing_1632.htm#SEC1708	
-deform.lib		sing_1551.htm#SEC1627	
-deform_lib		sing_1551.htm#SEC1627	
-defring		sing_1031.htm#SEC1107	
-defringp		sing_1033.htm#SEC1109	
-defrings		sing_1032.htm#SEC1108	
+defl		sing_1400.htm#SEC1476	
+deform		sing_1635.htm#SEC1711	
+deform.lib		sing_1554.htm#SEC1630	
+deform_lib		sing_1554.htm#SEC1630	
+defring		sing_1033.htm#SEC1109	
+defringp		sing_1035.htm#SEC1111	
+defrings		sing_1034.htm#SEC1110	
 deg		sing_276.htm#SEC316	
 degBound		sing_443.htm#SEC483	
 degree	Miscellaneous oddities	sing_277.htm#SEC317	
-degree 		sing_466.htm#IDX280	
-degree lexicographical ordering		sing_893.htm#IDX383	
-degree of a polynomial	Miscellaneous oddities	sing_466.htm#IDX284	
-degree reverse lexicographical ordering		sing_893.htm#IDX381	
-degreeDivisor		sing_2241.htm#SEC2317	
-degreeFormalDivisor		sing_2249.htm#SEC2325	
-degreepart		sing_1740.htm#SEC1816	
-delete		sing_278.htm#SEC318	
-delete 		sing_325.htm#SEC365	
-deleteGenerator		sing_640.htm#SEC692	
-deleteSublist		sing_939.htm#SEC1015	
-delta		sing_1599.htm#SEC1675	
-delta invariant		sing_1281.htm#IDX504	
-delta invariant 		sing_1599.htm#IDX689	
-delta invariant.		sing_1273.htm#IDX497	
-delta invariant. 		sing_1274.htm#IDX500	
-delta invariant.  		sing_1275.htm#IDX503	
-deltaLoc		sing_1281.htm#SEC1357	
-denom_list		sing_406.htm#IDX198	
+degree 		sing_466.htm#IDX286	
+degree lexicographical ordering		sing_895.htm#IDX389	
+degree of a polynomial	Miscellaneous oddities	sing_466.htm#IDX290	
+degree reverse lexicographical ordering		sing_895.htm#IDX387	
+degreeDivisor		sing_2244.htm#SEC2320	
+degreeFormalDivisor		sing_2252.htm#SEC2328	
+degreepart		sing_1743.htm#SEC1819	
+delete		sing_121.htm#SEC161	
+delete 		sing_278.htm#SEC318	
+delete  		sing_325.htm#SEC365	
+deleteGenerator		sing_641.htm#SEC693	
+deleteSublist		sing_941.htm#SEC1017	
+delta		sing_1602.htm#SEC1678	
+delta invariant		sing_1284.htm#IDX511	
+delta invariant 		sing_1602.htm#IDX696	
+delta invariant.		sing_1276.htm#IDX504	
+delta invariant. 		sing_1277.htm#IDX507	
+delta invariant.  		sing_1278.htm#IDX510	
+deltaLoc		sing_1284.htm#SEC1360	
+denom_list		sing_406.htm#IDX203	
 denominator		sing_279.htm#SEC319	
-depth		sing_1196.htm#SEC1272	
-depthIdeal		sing_1257.htm#SEC1333	
-derivate		sing_1706.htm#SEC1782	
-derivation		sing_2155.htm#IDX828	
-desingularization		sing_2297.htm#IDX880	
-desingularization 		sing_2298.htm#SEC2374	
+depth		sing_1199.htm#SEC1275	
+depthIdeal		sing_1260.htm#SEC1336	
+derivate		sing_1709.htm#SEC1785	
+derivation		sing_2158.htm#IDX835	
+desingularization		sing_2300.htm#IDX887	
+desingularization 		sing_2301.htm#SEC2377	
 det		sing_280.htm#SEC320	
-det_B		sing_1122.htm#SEC1198	
-detadj		sing_1615.htm#SEC1691	
-determinacy		sing_2407.htm#SEC2483	
-determinecenter		sing_1420.htm#SEC1496	
-detropicalise		sing_2092.htm#SEC2168	
-develop		sing_1589.htm#SEC1665	
-diag		sing_1082.htm#SEC1158	
-diagInvariants		sing_1295.htm#SEC1371	62096
-diag_test		sing_1118.htm#SEC1194	
+det_B		sing_1125.htm#SEC1201	
+detadj		sing_1618.htm#SEC1694	
+determinacy		sing_2412.htm#SEC2488	
+determinecenter		sing_1423.htm#SEC1499	
+detropicalise		sing_2095.htm#SEC2171	
+develop		sing_1592.htm#SEC1668	
+diag		sing_1085.htm#SEC1161	
+diagInvariants		sing_1298.htm#SEC1374	62096
+diag_test		sing_1121.htm#SEC1197	
 diff		sing_281.htm#SEC321	
-diffRat		sing_838.htm#SEC890	
-difpoly2tex		sing_1881.htm#SEC1957	
+diffRat		sing_840.htm#SEC892	
+difpoly2tex		sing_1884.htm#SEC1960	
 dim		sing_282.htm#SEC322	
-dim (plural)		sing_505.htm#SEC545	
-dimGradedPart		sing_1488.htm#SEC1564	11262
-dimH		sing_1487.htm#SEC1563	38534
-dimMon		sing_1237.htm#SEC1313	
-dim_slocus		sing_1633.htm#SEC1709	
+dim (plural)		sing_506.htm#SEC546	
+dimGradedPart		sing_1491.htm#SEC1567	11262
+dimH		sing_1490.htm#SEC1566	38534
+dimMon		sing_1240.htm#SEC1316	
+dim_slocus		sing_1636.htm#SEC1712	
 dimension		sing_197.htm#SEC237	
-dimensionOfLocalization	dimensionOfLocalization	sing_2285.htm#SEC2361	
-direct_boolean_poly		sing_2110.htm#SEC2186	49893
-direct_from_boolean_poly	direct_from_boolean_poly	sing_2116.htm#SEC2192	36941
-disc		sing_1901.htm#SEC1977	
-discr		sing_1655.htm#SEC1731	
-discrepancy		sing_1473.htm#SEC1549	
-disp_zdd		sing_2123.htm#SEC2199	41439
-displayCohom		sing_1489.htm#SEC1565	22633
-displayHNE		sing_1592.htm#SEC1668	
-displayInvariants		sing_1594.htm#SEC1670	
-displayMultsequence		sing_1596.htm#SEC1672	
-displayPuiseuxExpansion	displayPuiseuxExpansion	sing_2067.htm#SEC2143	
-displayTropicalLifting	displayTropicalLifting	sing_2065.htm#SEC2141	
-distributed computing		sing_982.htm#IDX428	
-distributed computing 		sing_1022.htm#IDX430	
-distributed computing  		sing_1063.htm#IDX443	
+dimensionOfLocalization	dimensionOfLocalization	sing_2288.htm#SEC2364	
+direct_boolean_poly		sing_2113.htm#SEC2189	49893
+direct_from_boolean_poly	direct_from_boolean_poly	sing_2119.htm#SEC2195	36941
+disc		sing_1904.htm#SEC1980	
+discr		sing_1658.htm#SEC1734	
+discrepancy		sing_1476.htm#SEC1552	
+disp_zdd		sing_2126.htm#SEC2202	41439
+displayCohom		sing_1492.htm#SEC1568	22633
+displayHNE		sing_1595.htm#SEC1671	
+displayInvariants		sing_1597.htm#SEC1673	
+displayMultsequence		sing_1599.htm#SEC1675	
+displayPuiseuxExpansion	displayPuiseuxExpansion	sing_2070.htm#SEC2146	
+displayTropicalLifting	displayTropicalLifting	sing_2068.htm#SEC2144	
+distributed computing		sing_984.htm#IDX434	
+distributed computing 		sing_1024.htm#IDX436	
+distributed computing  		sing_1066.htm#IDX450	
 div	Miscellaneous oddities	sing_76.htm#SEC116	
 div 		sing_93.htm#SEC133	
-div  		sing_466.htm#IDX277	
-divideUnits		sing_1877.htm#SEC1953	
-dividelist		sing_1447.htm#SEC1523	
+div  		sing_466.htm#IDX283	
+divideUnits		sing_1880.htm#SEC1956	
+dividelist		sing_1450.htm#SEC1526	
 division		sing_283.htm#SEC323	
-division (plural)		sing_506.htm#SEC546	
-division, pdivi, reduce		sing_959.htm#IDX413	
-division, reduce		sing_958.htm#IDX412	
-divisor		sing_1980.htm#SEC2056	
-divisorplus		sing_2235.htm#SEC2311	
-divisors	negativeformaldivisor	sing_2234.htm#IDX854	
-divisors 		sing_2235.htm#IDX855	
-divisors  		sing_2236.htm#IDX856	
-divisors   		sing_2237.htm#IDX857	
-divisors    		sing_2238.htm#IDX858	
-divisors     		sing_2239.htm#IDX859	
-divisors      		sing_2240.htm#IDX860	
-divisors       		sing_2241.htm#IDX861	
-divisors        		sing_2242.htm#IDX862	
-divisors         		sing_2243.htm#IDX863	
-divisors          		sing_2244.htm#IDX864	
-divisors           		sing_2245.htm#IDX865	
-divisors            		sing_2246.htm#IDX866	
-divisors             		sing_2247.htm#IDX867	
-divisors              		sing_2248.htm#IDX868	
-divisors               		sing_2249.htm#IDX869	
-divisors, polyhedra		sing_2250.htm#IDX870	
-divisors, polyhedra 		sing_2251.htm#IDX871	
-divisors, polyhedra  		sing_2252.htm#IDX872	
-divisors.lib		sing_2233.htm#SEC2309	
-divisors_lib		sing_2233.htm#SEC2309	
-dmod.lib		sing_588.htm#SEC640	
-dmodAction		sing_833.htm#SEC885	
-dmodActionRat		sing_834.htm#SEC886	
-dmodGeneralAssumptionCheck	dmodGeneralAssumptionCheck	sing_826.htm#SEC878	
-dmod_lib		sing_588.htm#SEC640	
-dmodapp.lib		sing_611.htm#SEC663	
-dmodapp_lib		sing_611.htm#SEC663	
-dmodloc.lib		sing_815.htm#IDX365	
-dmodloc_lib		sing_815.htm#IDX366	
-dmodoublext		sing_810.htm#SEC862	
-dmodvar.lib		sing_644.htm#SEC696	
-dmodvar_lib		sing_644.htm#SEC696	
-double		sing_1985.htm#SEC2061	
-doubleExt		sing_801.htm#SEC853	
-downloading	Download instructions	sing_2472.htm#SEC2561	
-dp, global ordering		sing_893.htm#IDX382	
-drawNewtonSubdivision	drawNewtonSubdivision	sing_2070.htm#SEC2146	
-drawTropicalCurve		sing_2069.htm#SEC2145	
-ds, local ordering		sing_894.htm#IDX392	
-dsum		sing_1083.htm#SEC1159	
+division (plural)		sing_507.htm#SEC547	
+division, pdivi, reduce		sing_961.htm#IDX419	
+division, reduce		sing_960.htm#IDX418	
+divisor		sing_1983.htm#SEC2059	
+divisorplus		sing_2238.htm#SEC2314	
+divisors	negativeformaldivisor	sing_2237.htm#IDX861	
+divisors 		sing_2238.htm#IDX862	
+divisors  		sing_2239.htm#IDX863	
+divisors   		sing_2240.htm#IDX864	
+divisors    		sing_2241.htm#IDX865	
+divisors     		sing_2242.htm#IDX866	
+divisors      		sing_2243.htm#IDX867	
+divisors       		sing_2244.htm#IDX868	
+divisors        		sing_2245.htm#IDX869	
+divisors         		sing_2246.htm#IDX870	
+divisors          		sing_2247.htm#IDX871	
+divisors           		sing_2248.htm#IDX872	
+divisors            		sing_2249.htm#IDX873	
+divisors             		sing_2250.htm#IDX874	
+divisors              		sing_2251.htm#IDX875	
+divisors               		sing_2252.htm#IDX876	
+divisors, polyhedra		sing_2253.htm#IDX877	
+divisors, polyhedra 		sing_2254.htm#IDX878	
+divisors, polyhedra  		sing_2255.htm#IDX879	
+divisors.lib		sing_2236.htm#SEC2312	
+divisors_lib		sing_2236.htm#SEC2312	
+dmod.lib		sing_589.htm#SEC641	
+dmodAction		sing_835.htm#SEC887	
+dmodActionRat		sing_836.htm#SEC888	
+dmodGeneralAssumptionCheck	dmodGeneralAssumptionCheck	sing_828.htm#SEC880	
+dmod_lib		sing_589.htm#SEC641	
+dmodapp.lib		sing_612.htm#SEC664	
+dmodapp_lib		sing_612.htm#SEC664	
+dmodloc.lib		sing_817.htm#IDX371	
+dmodloc_lib		sing_817.htm#IDX372	
+dmodoublext		sing_812.htm#SEC864	
+dmodvar.lib		sing_645.htm#SEC697	
+dmodvar_lib		sing_645.htm#SEC697	
+double		sing_1988.htm#SEC2064	
+doubleExt		sing_803.htm#SEC855	
+downloading	Download instructions	sing_2477.htm#SEC2566	
+dp, global ordering		sing_895.htm#IDX388	
+drawNewtonSubdivision	drawNewtonSubdivision	sing_2073.htm#SEC2149	
+drawTropicalCurve		sing_2072.htm#SEC2148	
+ds, local ordering		sing_896.htm#IDX398	
+dsum		sing_1086.htm#SEC1162	
 dualCone		sing_198.htm#SEC238	
-dualConic		sing_2094.htm#SEC2170	
-dualPart		sing_2225.htm#SEC2301	
+dualConic		sing_2097.htm#SEC2173	
+dualPart		sing_2228.htm#SEC2304	
 dualPolytope		sing_240.htm#SEC280	
-dual_code		sing_1834.htm#SEC1910	
+dual_code		sing_1837.htm#SEC1913	
 dump		sing_284.htm#SEC324	
-ecart		sing_1988.htm#SEC2064	
+ecart		sing_1991.htm#SEC2067	
 echo		sing_444.htm#SEC484	
-eexgcdN		sing_1915.htm#SEC1991	
-effective		sing_2243.htm#SEC2319	
-egcdMain		sing_1781.htm#SEC1857	
-ehrhartPolynomialCoeff	ehrhartPolynomialCoeff	sing_2423.htm#SEC2499	
-ehrhartRing		sing_1291.htm#SEC1367	16966
-eigenvals		sing_1130.htm#SEC1206	
+eexgcdN		sing_1918.htm#SEC1994	
+effective		sing_2246.htm#SEC2322	
+egcdMain		sing_1784.htm#SEC1860	
+ehrhartPolynomialCoeff	ehrhartPolynomialCoeff	sing_2428.htm#SEC2504	
+ehrhartRing		sing_1294.htm#SEC1370	16966
+eigenvals		sing_1133.htm#SEC1209	
 eigenvalue		sing_377.htm#SEC417	
-eigenvalue 		sing_1130.htm#IDX449	
-eigenvalues		sing_1374.htm#SEC1450	
-elemSymmId		sing_990.htm#SEC1066	
-elim		sing_1167.htm#SEC1243	
-elim.lib		sing_1164.htm#SEC1240	
-elim1		sing_1168.htm#SEC1244	
-elim2		sing_1169.htm#SEC1245	
-elimRing		sing_1166.htm#SEC1242	
-elimWeight		sing_758.htm#SEC810	
-elim_lib		sing_1164.htm#SEC1240	
+eigenvalue 		sing_1133.htm#IDX456	
+eigenvalues		sing_1377.htm#SEC1453	
+elemSymmId		sing_992.htm#SEC1068	
+elim		sing_1170.htm#SEC1246	
+elim.lib		sing_1167.htm#SEC1243	
+elim1		sing_1171.htm#SEC1247	
+elim2		sing_1172.htm#SEC1248	
+elimRing		sing_1169.htm#SEC1245	
+elimWeight		sing_760.htm#SEC812	
+elim_lib		sing_1167.htm#SEC1243	
 eliminate		sing_285.htm#SEC325	
-eliminate (plural)		sing_507.htm#SEC547	
-eliminateNC		sing_753.htm#SEC805	
-elimination		sing_752.htm#IDX350	
-elimlinearpart		sing_1741.htm#SEC1817	
-elimpart		sing_1742.htm#SEC1818	
-elimpartanyr		sing_1743.htm#SEC1819	
-elimrep		sing_1428.htm#SEC1504	
-elliptic curve		sing_1177.htm#IDX465	
-elliptic curves		sing_1174.htm#IDX459	
-elliptic curves 		sing_1180.htm#IDX468	
-elliptic curves  		sing_1181.htm#IDX472	
-ellipticAdd		sing_1936.htm#SEC2012	
-ellipticAllPoints		sing_1941.htm#SEC2017	
-ellipticMult		sing_1937.htm#SEC2013	
-ellipticNF		sing_2057.htm#SEC2133	
-ellipticNFDB		sing_2058.htm#SEC2134	
-ellipticRandomCurve		sing_1938.htm#SEC2014	
-ellipticRandomPoint		sing_1939.htm#SEC2015	
-ellipticcovers.lib		sing_1174.htm#IDX453	
-ellipticcovers_lib		sing_1174.htm#IDX454	
+eliminate (plural)		sing_508.htm#SEC548	
+eliminateNC		sing_755.htm#SEC807	
+elimination		sing_754.htm#IDX356	
+elimlinearpart		sing_1744.htm#SEC1820	
+elimpart		sing_1745.htm#SEC1821	
+elimpartanyr		sing_1746.htm#SEC1822	
+elimrep		sing_1431.htm#SEC1507	
+elliptic curve		sing_1180.htm#IDX472	
+elliptic curves		sing_1177.htm#IDX466	
+elliptic curves 		sing_1183.htm#IDX475	
+elliptic curves  		sing_1184.htm#IDX479	
+ellipticAdd		sing_1939.htm#SEC2015	
+ellipticAllPoints		sing_1944.htm#SEC2020	
+ellipticMult		sing_1940.htm#SEC2016	
+ellipticNF		sing_2060.htm#SEC2136	
+ellipticNFDB		sing_2061.htm#SEC2137	
+ellipticRandomCurve		sing_1941.htm#SEC2017	
+ellipticRandomPoint		sing_1942.htm#SEC2018	
+ellipticcovers.lib		sing_1177.htm#IDX460	
+ellipticcovers_lib		sing_1177.htm#IDX461	
 else		sing_434.htm#SEC474	
-embedMat		sing_784.htm#SEC836	
+embedMat		sing_786.htm#SEC838	
 emptyFan		sing_224.htm#SEC264	
-encode		sing_1842.htm#SEC1918	
-endomorphism filtration		sing_1573.htm#IDX655	
-endvfilt		sing_1573.htm#SEC1649	
-engine		sing_641.htm#SEC693	
-envelop		sing_967.htm#SEC1043	
-envelopdg		sing_968.htm#SEC1044	
-envelope		sing_508.htm#SEC548	
-enveloping algebra		sing_406.htm#IDX202	
-enveloping algebra 		sing_546.htm#IDX294	
+encode		sing_1845.htm#SEC1921	
+endomorphism filtration		sing_1576.htm#IDX662	
+endvfilt		sing_1576.htm#SEC1652	
+engine		sing_642.htm#SEC694	
+envelop		sing_969.htm#SEC1045	
+envelopdg		sing_970.htm#SEC1046	
+envelope		sing_509.htm#SEC549	
+enveloping algebra		sing_406.htm#IDX207	
+enveloping algebra 		sing_547.htm#IDX300	
 environment variable, DISPLAY	The online help system	sing_16.htm#IDX29	
-equalJinI		sing_1516.htm#SEC1592	
-equalMultiDeg		sing_2379.htm#SEC2455	
+equalJinI		sing_1519.htm#SEC1595	
+equalMultiDeg		sing_2382.htm#SEC2458	
 equations		sing_199.htm#SEC239	
-equiRadical		sing_1332.htm#SEC1408	
-equidim		sing_1334.htm#SEC1410	
-equidimMax		sing_1335.htm#SEC1411	
-equidimMaxEHV		sing_1336.htm#SEC1412	
-equidimZ		sing_1347.htm#SEC1423	
-equising.lib		sing_1556.htm#SEC1632	
-equising_lib		sing_1556.htm#SEC1632	
-equisingular Tjurina number		sing_1499.htm#IDX562	
-equisingularity ideal		sing_1558.htm#IDX582	
-equisingularity stratum		sing_1559.htm#IDX583	
+equiRadical		sing_1335.htm#SEC1411	
+equidim		sing_1337.htm#SEC1413	
+equidimMax		sing_1338.htm#SEC1414	
+equidimMaxEHV		sing_1339.htm#SEC1415	
+equidimZ		sing_1350.htm#SEC1426	
+equising.lib		sing_1559.htm#SEC1635	
+equising_lib		sing_1559.htm#SEC1635	
+equisingular Tjurina number		sing_1502.htm#IDX569	
+equisingularity ideal		sing_1561.htm#IDX589	
+equisingularity stratum		sing_1562.htm#IDX590	
 error recovery		sing_15.htm#SEC21	
-errorInsert		sing_1845.htm#SEC1921	
-errorRand		sing_1846.htm#SEC1922	
-errormap		sing_2273.htm#SEC2349	
-esIdeal		sing_1558.htm#SEC1634	
-esStratum		sing_1559.htm#SEC1635	
-essential		sing_2145.htm#IDX810	
-essential 		sing_2146.htm#IDX811	
-eta		sing_2052.htm#SEC2128	
-euler		sing_1894.htm#SEC1970	
-eulerChProj		sing_2215.htm#SEC2291	
+errorInsert		sing_1848.htm#SEC1924	
+errorRand		sing_1849.htm#SEC1925	
+errormap		sing_2276.htm#SEC2352	
+esIdeal		sing_1561.htm#SEC1637	
+esStratum		sing_1562.htm#SEC1638	
+essential		sing_2148.htm#IDX817	
+essential 		sing_2149.htm#IDX818	
+eta		sing_2055.htm#SEC2131	
+euler		sing_1897.htm#SEC1973	
+eulerChProj		sing_2218.htm#SEC2294	
 eval		sing_286.htm#SEC326	
-evaluateFormalDivisor	evaluateFormalDivisor	sing_2245.htm#SEC2321	
-evaluatePDivisor		sing_2251.htm#SEC2327	
-evaluate_reynolds		sing_1679.htm#SEC1755	
-evalutateIntegral		sing_1179.htm#SEC1255	
+evaluateFormalDivisor	evaluateFormalDivisor	sing_2248.htm#SEC2324	
+evaluatePDivisor		sing_2254.htm#SEC2330	
+evaluate_reynolds		sing_1682.htm#SEC1758	
+evalutateIntegral		sing_1182.htm#SEC1258	
 example		sing_288.htm#SEC328	
-example 		sing_2147.htm#IDX812	
-example  		sing_2148.htm#IDX814	
-example   		sing_2149.htm#IDX816	
-example    		sing_2150.htm#IDX818	
-example     		sing_2151.htm#IDX820	
-example      		sing_2152.htm#IDX822	
-example       		sing_2153.htm#IDX825	
+example 		sing_2150.htm#IDX819	
+example  		sing_2151.htm#IDX821	
+example   		sing_2152.htm#IDX823	
+example    		sing_2153.htm#IDX825	
+example     		sing_2154.htm#IDX827	
+example      		sing_2155.htm#IDX829	
+example       		sing_2156.htm#IDX832	
 execute		sing_289.htm#SEC329	
 exit		sing_438.htm#SEC478	
-exp2pt		sing_1882.htm#SEC1958	
-expo		sing_1906.htm#SEC1982	
-exponents		sing_2157.htm#IDX833	
+exp2pt		sing_1885.htm#SEC1961	
+expo		sing_1909.htm#SEC1985	
+exponents		sing_2160.htm#IDX840	
 export		sing_431.htm#SEC471	
-exportNuminvs		sing_1299.htm#SEC1375	10423
+exportNuminvs		sing_1302.htm#SEC1378	10423
 exportto		sing_432.htm#SEC472	
 expression list		sing_72.htm#IDX128	
-expression list 		sing_470.htm#IDX287	
-ext-module	purityfiltration_lib	sing_793.htm#IDX356	
-extcurve		sing_1828.htm#SEC1904	
-extdevelop		sing_1590.htm#SEC1666	
-extend		sing_963.htm#SEC1039	
-extendWeyl		sing_827.htm#SEC879	
-extendedTensor		sing_759.htm#SEC811	
-extendring		sing_1034.htm#SEC1110	
-extension of rings		sing_1352.htm#IDX511	
-exterior basis		sing_1109.htm#IDX446	
-exterior power		sing_1111.htm#IDX448	
-exteriorBasis		sing_1109.htm#SEC1185	
-exteriorPower		sing_1111.htm#SEC1187	
+expression list 		sing_471.htm#IDX293	
+ext-module	purityfiltration_lib	sing_795.htm#IDX362	
+extcurve		sing_1831.htm#SEC1907	
+extdevelop		sing_1593.htm#SEC1669	
+extend		sing_965.htm#SEC1041	
+extendWeyl		sing_829.htm#SEC881	
+extendedTensor		sing_761.htm#SEC813	
+extendring		sing_1036.htm#SEC1112	
+extension of rings		sing_1355.htm#IDX518	
+exterior basis		sing_1112.htm#IDX453	
+exterior power		sing_1114.htm#IDX455	
+exteriorBasis		sing_1112.htm#SEC1188	
+exteriorPower		sing_1114.htm#SEC1190	
 extgcd		sing_290.htm#SEC330	
 fVector		sing_227.htm#SEC267	
-fVector 		sing_2427.htm#SEC2503	
-fVectorP(polymake)		sing_2427.htm#SEC2503	
-facFirstShift		sing_746.htm#SEC798	
-facFirstWeyl		sing_742.htm#SEC794	
-facGBIdeal		sing_1317.htm#SEC1393	
-facShift		sing_745.htm#SEC797	
-facSubWeyl		sing_744.htm#SEC796	
-facWeyl		sing_741.htm#SEC793	
-facetVertexLatticeDistances	facetVertexLatticeDistances	sing_2424.htm#SEC2500	
-facetWidth		sing_2425.htm#SEC2501	
-facetWidths		sing_2426.htm#SEC2502	
+fVector 		sing_2432.htm#SEC2508	
+fVectorP(polymake)		sing_2432.htm#SEC2508	
+facFirstShift		sing_748.htm#SEC800	
+facFirstWeyl		sing_744.htm#SEC796	
+facGBIdeal		sing_1320.htm#SEC1396	
+facShift		sing_747.htm#SEC799	
+facSubWeyl		sing_746.htm#SEC798	
+facWeyl		sing_743.htm#SEC795	
+facetVertexLatticeDistances	facetVertexLatticeDistances	sing_2429.htm#SEC2505	
+facetWidth		sing_2430.htm#SEC2506	
+facetWidths		sing_2431.htm#SEC2507	
 facets		sing_200.htm#SEC240	
 facstd		sing_291.htm#SEC331	
 factmodd		sing_292.htm#SEC332	
-factorH		sing_954.htm#SEC1030	
-factorLenstraECM		sing_1945.htm#SEC2021	
-factorMain		sing_1782.htm#SEC1858	
-factorgroup		sing_2369.htm#SEC2445	
-factorial		sing_940.htm#SEC1016	
-factorization		sing_1139.htm#IDX450	
+factorH		sing_956.htm#SEC1032	
+factorLenstraECM		sing_1948.htm#SEC2024	
+factorMain		sing_1785.htm#SEC1861	
+factorgroup		sing_2372.htm#SEC2448	
+factorial		sing_942.htm#SEC1018	
+factorization		sing_372.htm#SEC412	
+factorization 		sing_1142.htm#IDX457	
 factorize		sing_293.htm#SEC333	
 factory		sing_1.htm#IDX2	
 fan		sing_221.htm#SEC261	
-fan 		sing_2041.htm#IDX731	
+fan 		sing_2044.htm#IDX738	
 fan related functions	fan related functions	sing_222.htm#SEC262	
 fanViaCones		sing_225.htm#SEC265	
 farey		sing_294.htm#SEC334	
-fareypoly		sing_2254.htm#SEC2330	
-fastExpt		sing_1890.htm#SEC1966	
-fastHC, option		sing_364.htm#IDX148	
-fastelim		sing_1744.htm#SEC1820	
+fareypoly		sing_2257.htm#SEC2333	
+fastExpt		sing_1893.htm#SEC1969	
+fastHC, option		sing_364.htm#IDX153	
+fastelim		sing_1747.htm#SEC1823	
 fetch		sing_295.htm#SEC335	
-fetch (plural)		sing_509.htm#SEC549	
-fetchall		sing_1035.htm#SEC1111	
-ffmodStd		sing_2258.htm#SEC2334	
-ffmodstd.lib		sing_2253.htm#SEC2329	
-ffmodstd_lib		sing_2253.htm#SEC2329	
-ffsolve		sing_1733.htm#SEC1809	
-ffsolve.lib		sing_1732.htm#SEC1808	
-ffsolve_lib		sing_1732.htm#SEC1808	
+fetch (plural)		sing_510.htm#SEC550	
+fetchall		sing_1037.htm#SEC1113	
+ffmodStd		sing_2261.htm#SEC2337	
+ffmodstd.lib		sing_2256.htm#SEC2332	
+ffmodstd_lib		sing_2256.htm#SEC2332	
+ffsolve		sing_1736.htm#SEC1812	
+ffsolve.lib		sing_1735.htm#SEC1811	
+ffsolve_lib		sing_1735.htm#SEC1811	
 fglm		sing_296.htm#SEC336	
-fglm 		sing_403.htm#IDX182	
-fglm_solve		sing_1760.htm#SEC1836	
+fglm 		sing_403.htm#IDX187	
+fglm_solve		sing_1763.htm#SEC1839	
 fglmquot		sing_297.htm#SEC337	
-fibonacci		sing_941.htm#SEC1017	
+fibonacci		sing_943.htm#SEC1019	
 field		sing_139.htm#SEC179	
 file, .singularrc		sing_20.htm#IDX71	
 filecmd		sing_298.htm#SEC338	
-filtration	purityfiltration_lib	sing_793.htm#IDX357	
-finalCharts		sing_1452.htm#SEC1528	
+filtration	purityfiltration_lib	sing_795.htm#IDX363	
+finalCharts		sing_1455.htm#SEC1531	
 find		sing_299.htm#SEC339	
-findAuto		sing_701.htm#SEC753	
-findInvo		sing_699.htm#SEC751	
-findInvoDiag		sing_700.htm#SEC752	
-findOrientedBoundary	findOrientedBoundary	sing_2053.htm#SEC2129	
-findTorsion		sing_1871.htm#SEC1947	
-find_first_primitive_root	find_first_primitive_root	sing_1949.htm#SEC2025	
-find_index		sing_1953.htm#SEC2029	
-findifs.lib		sing_1878.htm#SEC1954	
-findifs_example		sing_1879.htm#SEC1955	
-findifs_lib		sing_1878.htm#SEC1954	
-findimAlgebra		sing_768.htm#SEC820	
+findAuto		sing_702.htm#SEC754	
+findInvo		sing_700.htm#SEC752	
+findInvoDiag		sing_701.htm#SEC753	
+findOrientedBoundary	findOrientedBoundary	sing_2056.htm#SEC2132	
+findTorsion		sing_1874.htm#SEC1950	
+find_first_primitive_root	find_first_primitive_root	sing_1952.htm#SEC2028	
+find_index		sing_1956.htm#SEC2032	
+findifs.lib		sing_1881.htm#SEC1957	
+findifs_example		sing_1882.htm#SEC1958	
+findifs_lib		sing_1881.htm#SEC1957	
+findimAlgebra		sing_770.htm#SEC822	
 finduni		sing_300.htm#SEC340	
-findvars		sing_1745.htm#SEC1821	
+findvars		sing_1748.htm#SEC1824	
 finite field		sing_139.htm#SEC179	
-finite field 		sing_1732.htm#IDX704	
-finiteDiagInvariants	finiteDiagInvariants	sing_1294.htm#SEC1370	3508
-finitediff.lib		sing_2259.htm#IDX873	
-finitediff_lib		sing_2259.htm#IDX874	
-finitenessTest		sing_1153.htm#SEC1229	
-finvar.lib		sing_1667.htm#SEC1743	
-finvar_lib		sing_1667.htm#SEC1743	
+finite field 		sing_1735.htm#IDX711	
+finiteDiagInvariants	finiteDiagInvariants	sing_1297.htm#SEC1373	3508
+finitediff.lib		sing_2262.htm#IDX880	
+finitediff_lib		sing_2262.htm#IDX881	
+finitenessTest		sing_1156.htm#SEC1232	
+finvar.lib		sing_1670.htm#SEC1746	
+finvar_lib		sing_1670.htm#SEC1746	
 first index is 1		sing_465.htm#SEC505	
-firstoct		sing_1793.htm#SEC1869	
-fitting		sing_1199.htm#SEC1275	
-fl2poly		sing_638.htm#SEC690	
-flatten		sing_1084.htm#SEC1160	
-flatteningStrat		sing_1200.htm#SEC1276	
-floating point		sing_1044.htm#IDX433	
+firstoct		sing_1796.htm#SEC1872	
+fitting		sing_1202.htm#SEC1278	
+fl2poly		sing_639.htm#SEC691	
+flatten		sing_1087.htm#SEC1163	
+flatteningStrat		sing_1203.htm#SEC1279	
+floating point		sing_1046.htm#IDX439	
 for		sing_433.htm#SEC473	
-formaldivisorplus		sing_2246.htm#SEC2322	
-forward		sing_2265.htm#SEC2341	
-fourier		sing_633.htm#SEC685	
-fouriersystem		sing_2276.htm#SEC2352	
-fpadim.lib		sing_649.htm#SEC701	
-fpadim_lib		sing_649.htm#SEC701	
+formaldivisorplus		sing_2249.htm#SEC2325	
+forward		sing_2268.htm#SEC2344	
+fourier		sing_634.htm#SEC686	
+fouriersystem		sing_2279.htm#SEC2355	
+fpadim.lib		sing_650.htm#SEC702	
+fpadim_lib		sing_650.htm#SEC702	
 fprintf		sing_301.htm#SEC341	
-frandwalk		sing_2399.htm#SEC2475	
-free		sing_2156.htm#IDX830	
-free 		sing_2157.htm#IDX832	
-free associative algebra, tensor algebra	Free associative algebras	sing_540.htm#SEC592	
-freeGBasis		sing_684.htm#SEC736	
-freegb.lib		sing_680.htm#SEC732	
-freegb_lib		sing_680.htm#SEC732	
+frandwalk		sing_2404.htm#SEC2480	
+free		sing_2159.htm#IDX837	
+free 		sing_2160.htm#IDX839	
+free associative algebra, tensor algebra	Free associative algebras	sing_541.htm#SEC593	
+freeGBasis		sing_685.htm#SEC737	
+freegb.lib		sing_681.htm#SEC733	
+freegb_lib		sing_681.htm#SEC733	
 freemodule		sing_302.htm#SEC342	
-freerank		sing_992.htm#SEC1068	
-from_boolean_constant	from_boolean_constant	sing_2114.htm#SEC2190	44881
-from_boolean_ideal		sing_2118.htm#SEC2194	62698
-from_boolean_poly		sing_2115.htm#SEC2191	27864
-from_boolean_set		sing_2119.htm#SEC2195	60615
+freerank		sing_994.htm#SEC1070	
+from_boolean_constant	from_boolean_constant	sing_2117.htm#SEC2193	44881
+from_boolean_ideal		sing_2121.htm#SEC2197	62698
+from_boolean_poly		sing_2118.htm#SEC2194	27864
+from_boolean_set		sing_2122.htm#SEC2198	60615
 frwalk		sing_303.htm#SEC343	
 fullFan		sing_226.htm#SEC266	
-fullSerreRelations		sing_695.htm#SEC747	
-furtherInvar		sing_1711.htm#SEC1787	
-further_hn_proc		sing_1607.htm#SEC1683	
-fwalk		sing_1186.htm#SEC1262	
+fullSerreRelations		sing_696.htm#SEC748	
+furtherInvar		sing_1714.htm#SEC1790	
+further_hn_proc		sing_1610.htm#SEC1686	
+fwalk		sing_1189.htm#SEC1265	
 galois field		sing_139.htm#SEC179	
-gauss_col		sing_1094.htm#SEC1170	
-gauss_nf		sing_1125.htm#SEC1201	
-gauss_row		sing_1095.htm#SEC1171	
-gaussred		sing_1123.htm#SEC1199	
-gaussred_pivot		sing_1124.htm#SEC1200	
+gauss_col		sing_1097.htm#SEC1173	
+gauss_nf		sing_1128.htm#SEC1204	
+gauss_row		sing_1098.htm#SEC1174	
+gaussred		sing_1126.htm#SEC1202	
+gaussred_pivot		sing_1127.htm#SEC1203	
 gcd		sing_304.htm#SEC344	
-gcdMon		sing_1226.htm#SEC1302	
-gcddivisor		sing_1981.htm#SEC2057	
+gcdMon		sing_1229.htm#SEC1305	
+gcddivisor		sing_1984.htm#SEC2060	
 gen		sing_305.htm#SEC345	
-genMDSMat		sing_1848.htm#SEC1924	
-genSymId		sing_1371.htm#SEC1447	
-general error-locator polynomial		sing_919.htm#SEC984	
-general neron.		sing_2297.htm#IDX881	
-general weighted lexicographical ordering		sing_894.htm#IDX398	
-general weighted reverse lexicographical ordering	Local orderings	sing_894.htm#IDX395	
-general.lib		sing_934.htm#SEC1010	
-generalOrder		sing_2006.htm#SEC2082	
-general_lib		sing_934.htm#SEC1010	
-generateG		sing_1944.htm#SEC2020	
-generators		sing_1507.htm#IDX566	
+genMDSMat		sing_1851.htm#SEC1927	
+genSymId		sing_1374.htm#SEC1450	
+general error-locator polynomial		sing_921.htm#SEC986	
+general neron.		sing_2300.htm#IDX888	
+general weighted lexicographical ordering		sing_896.htm#IDX404	
+general weighted reverse lexicographical ordering	Local orderings	sing_896.htm#IDX401	
+general.lib		sing_936.htm#SEC1012	
+generalOrder		sing_2009.htm#SEC2085	
+general_lib		sing_936.htm#SEC1012	
+generateG		sing_1947.htm#SEC2023	
+generators		sing_1510.htm#IDX573	
 generatorsOfLinealitySpace	generatorsOfLinealitySpace	sing_201.htm#SEC241	
 generatorsOfSpan		sing_202.htm#SEC242	
-genericid		sing_1010.htm#SEC1086	
-genericity		sing_1868.htm#SEC1944	
-genericmat		sing_1085.htm#SEC1161	
-genoutput		sing_1441.htm#SEC1517	
-genus		sing_1277.htm#SEC1353	
-geometric invariant theory		sing_2290.htm#IDX878	
-geometrical locus, locus, loci, dynamic geometry		sing_966.htm#IDX417	
-geometrical locus, locus, loci, envelop		sing_967.htm#IDX418	
-geometrical locus, locus, loci, envelop.		sing_968.htm#IDX419	
-geometrical locus, locus, loci.		sing_965.htm#IDX416	
-geometrical locus, locus, loci. 		sing_969.htm#IDX420	
-getArguments		sing_1075.htm#SEC1151	
-getCommand		sing_1074.htm#SEC1150	
+genericid		sing_1012.htm#SEC1088	
+genericity		sing_1871.htm#SEC1947	
+genericmat		sing_1088.htm#SEC1164	
+genoutput		sing_1444.htm#SEC1520	
+genus		sing_1280.htm#SEC1356	
+geometric invariant theory		sing_2293.htm#IDX885	
+geometrical locus, locus, loci, dynamic geometry		sing_968.htm#IDX423	
+geometrical locus, locus, loci, envelop		sing_969.htm#IDX424	
+geometrical locus, locus, loci, envelop.		sing_970.htm#IDX425	
+geometrical locus, locus, loci.		sing_967.htm#IDX422	
+geometrical locus, locus, loci. 		sing_971.htm#IDX426	
+getArguments		sing_1078.htm#SEC1154	
+getCommand		sing_1077.htm#SEC1153	
 getCone		sing_228.htm#SEC268	
-getGradingGroup		sing_2344.htm#SEC2420	
-getLattice		sing_2345.htm#SEC2421	
+getGradingGroup		sing_2347.htm#SEC2423	
+getLattice		sing_2348.htm#SEC2424	
 getLinearForms		sing_203.htm#SEC243	
-getModuleGrading		sing_2355.htm#SEC2431	
+getModuleGrading		sing_2358.htm#SEC2434	
 getMultiplicity		sing_204.htm#SEC244	
-getOneVar		sing_1285.htm#SEC1361	
-getResult		sing_1076.htm#SEC1152	
-getSmallest		sing_1284.htm#SEC1360	
-getState		sing_1077.htm#SEC1153	
-getVariableWeights		sing_2343.htm#SEC2419	
-getcores		sing_1025.htm#SEC1101	
+getOneVar		sing_1288.htm#SEC1364	
+getResult		sing_1079.htm#SEC1155	
+getSmallest		sing_1287.htm#SEC1363	
+getState		sing_1080.htm#SEC1156	
+getVariableWeights		sing_2346.htm#SEC2422	
+getcores		sing_1027.htm#SEC1103	
 getdump		sing_306.htm#SEC346	
-getenv		sing_406.htm#IDX204	
+getenv		sing_406.htm#IDX210	
 gfanlib		sing_1.htm#IDX9	
-gfanlib_so		sing_2412.htm#IDX898	
-gitCone		sing_2292.htm#SEC2368	
-gitFan		sing_2293.htm#SEC2369	
-gitfan		sing_2290.htm#IDX876	
-gitfan.lib		sing_2290.htm#SEC2366	
-gitfan_lib		sing_2290.htm#SEC2366	
-gkdim.lib		sing_706.htm#SEC758	
-gkdim_lib		sing_706.htm#SEC758	
-gkzFan		sing_2294.htm#SEC2370	
-global Bernstein-Sato polynomial		sing_553.htm#IDX301	
-global Bernstein-Sato polynomial 		sing_588.htm#IDX319	
-global Bernstein-Sato polynomial for variety		sing_644.htm#IDX344	
-globalSections		sing_2240.htm#SEC2316	
-gmscoeffs		sing_1565.htm#SEC1641	
-gmsnf		sing_1564.htm#SEC1640	
-gmspoly.lib		sing_1584.htm#SEC1660	
-gmspoly_lib		sing_1584.htm#SEC1660	
-gmsring		sing_1563.htm#SEC1639	
-gmssing.lib		sing_1562.htm#SEC1638	
-gmssing_lib		sing_1562.htm#SEC1638	
-good basis		sing_1562.htm#IDX594	
-good basis 		sing_1572.htm#IDX649	
-good basis  		sing_1584.htm#IDX665	
-good basis   		sing_1586.htm#IDX676	
-goodBasis		sing_1586.htm#SEC1662	
-gorensteinIndex		sing_2428.htm#SEC2504	
-gorensteinVector		sing_2429.htm#SEC2505	
-graal.lib		sing_2283.htm#SEC2359	
-graalMixed		sing_2284.htm#SEC2360	
-graal_lib		sing_2283.htm#SEC2359	
-gradeNumber		sing_797.htm#SEC849	
-graded Weyl algebra		sing_553.htm#IDX304	
-graded module, graded piece		sing_1488.htm#IDX552	
-graded modules, graded homomorphisms, syzygies	gradedModules_lib	sing_2299.htm#IDX882	
-graded modules, handling of	Handling graded modules	sing_861.htm#SEC913	
-gradedModules.lib		sing_2299.htm#SEC2375	
-gradedModules_lib		sing_2299.htm#SEC2375	
-gradiator		sing_2388.htm#SEC2464	
-graph		sing_1175.htm#IDX463	
-graph 		sing_1176.htm#IDX464	
-graphics.lib		sing_1795.htm#SEC1871	
-graphics_lib		sing_1795.htm#SEC1871	
+gfanlib_so		sing_2417.htm#IDX903	
+gitCone		sing_2295.htm#SEC2371	
+gitFan		sing_2296.htm#SEC2372	
+gitfan		sing_2293.htm#IDX883	
+gitfan.lib		sing_2293.htm#SEC2369	
+gitfan_lib		sing_2293.htm#SEC2369	
+gkdim.lib		sing_707.htm#SEC759	
+gkdim_lib		sing_707.htm#SEC759	
+gkzFan		sing_2297.htm#SEC2373	
+global		sing_261.htm#IDX133	
+global Bernstein-Sato polynomial		sing_554.htm#IDX307	
+global Bernstein-Sato polynomial 		sing_589.htm#IDX325	
+global Bernstein-Sato polynomial for variety		sing_645.htm#IDX350	
+globalSections		sing_2243.htm#SEC2319	
+gmscoeffs		sing_1568.htm#SEC1644	
+gmsnf		sing_1567.htm#SEC1643	
+gmspoly.lib		sing_1587.htm#SEC1663	
+gmspoly_lib		sing_1587.htm#SEC1663	
+gmsring		sing_1566.htm#SEC1642	
+gmssing.lib		sing_1565.htm#SEC1641	
+gmssing_lib		sing_1565.htm#SEC1641	
+good basis		sing_1565.htm#IDX601	
+good basis 		sing_1575.htm#IDX656	
+good basis  		sing_1587.htm#IDX672	
+good basis   		sing_1589.htm#IDX683	
+goodBasis		sing_1589.htm#SEC1665	
+gorensteinIndex		sing_2433.htm#SEC2509	
+gorensteinVector		sing_2434.htm#SEC2510	
+graal.lib		sing_2286.htm#SEC2362	
+graalMixed		sing_2287.htm#SEC2363	
+graal_lib		sing_2286.htm#SEC2362	
+gradeNumber		sing_799.htm#SEC851	
+graded Weyl algebra		sing_554.htm#IDX310	
+graded module, graded piece		sing_1491.htm#IDX559	
+graded modules, graded homomorphisms, syzygies	gradedModules_lib	sing_2302.htm#IDX889	
+graded modules, handling of	Handling graded modules	sing_863.htm#SEC915	
+gradedModules.lib		sing_2302.htm#SEC2378	
+gradedModules_lib		sing_2302.htm#SEC2378	
+gradiator		sing_2391.htm#SEC2467	
+graph		sing_1178.htm#IDX470	
+graph 		sing_1179.htm#IDX471	
+graphics.lib		sing_1798.htm#SEC1874	
+graphics_lib		sing_1798.htm#SEC1874	
 graphviz		sing_1.htm#IDX13	
-graver4ti2		sing_1369.htm#SEC1445	39635
-grconcat		sing_2322.htm#SEC2398	
-grdeg		sing_2302.htm#SEC2378	
-grgens		sing_2311.htm#SEC2387	
-grgroebner		sing_2321.htm#SEC2397	
-grlift		sing_2319.htm#SEC2395	
-grlifting		sing_2326.htm#SEC2402	
-grlifting2		sing_2327.htm#SEC2403	
-grlifting3		sing_2329.htm#SEC2405	
-grneg		sing_2332.htm#SEC2408	
-grobcov		sing_956.htm#SEC1032	
-grobcov.lib		sing_955.htm#SEC1031	
-grobcov_lib		sing_955.htm#SEC1031	
-grobj		sing_2300.htm#SEC2376	
+graver4ti2		sing_1372.htm#SEC1448	39635
+grconcat		sing_2325.htm#SEC2401	
+grdeg		sing_2305.htm#SEC2381	
+grgens		sing_2314.htm#SEC2390	
+grgroebner		sing_2324.htm#SEC2400	
+grlift		sing_2322.htm#SEC2398	
+grlifting		sing_2329.htm#SEC2405	
+grlifting2		sing_2330.htm#SEC2406	
+grlifting3		sing_2332.htm#SEC2408	
+grneg		sing_2335.htm#SEC2411	
+grobcov		sing_958.htm#SEC1034	
+grobcov.lib		sing_957.htm#SEC1033	
+grobcov_lib		sing_957.htm#SEC1033	
+grobj		sing_2303.htm#SEC2379	
 groebner		sing_307.htm#SEC347	
-groebner 		sing_853.htm#SEC905	
-groebner basis computations		sing_307.htm#IDX142	
-groebnerComplex		sing_2419.htm#SEC2495	
-groebnerCone		sing_2415.htm#SEC2491	
-groebnerFan		sing_2417.htm#SEC2493	
-groebnerFanP		sing_2046.htm#SEC2122	
-gromovWitten		sing_1180.htm#SEC1256	
-grorder		sing_2313.htm#SEC2389	
+groebner 		sing_855.htm#SEC907	
+groebner basis computations		sing_307.htm#IDX147	
+groebnerComplex		sing_2424.htm#SEC2500	
+groebnerCone		sing_2420.htm#SEC2496	
+groebnerFan		sing_2422.htm#SEC2498	
+groebnerFanP		sing_2049.htm#SEC2125	
+gromovWitten		sing_1183.htm#SEC1259	
+grorder		sing_2316.htm#SEC2392	
 ground field		sing_139.htm#SEC179	
-group_reynolds		sing_1675.htm#SEC1751	
-grpower		sing_2309.htm#SEC2385	
-grpres		sing_2312.htm#SEC2388	
-grprod		sing_2320.htm#SEC2396	
-grrange		sing_2331.htm#SEC2407	
-grres		sing_2318.htm#SEC2394	
-grrndmap		sing_2324.htm#SEC2400	
-grrndmap2		sing_2325.htm#SEC2401	
-grrndmat		sing_2323.htm#SEC2399	
-grshift		sing_2304.htm#SEC2380	
-grsum		sing_2308.htm#SEC2384	
-grsyz		sing_2317.htm#SEC2393	
-grtest		sing_2301.htm#SEC2377	
-grtranspose		sing_2310.htm#SEC2386	
-grtranspose1		sing_2314.htm#SEC2390	
-grtwist		sing_2306.htm#SEC2382	
-grtwists		sing_2307.htm#SEC2383	
-grview		sing_2303.htm#SEC2379	
-grwalk.lib		sing_1185.htm#SEC1261	
-grwalk_lib		sing_1185.htm#SEC1261	
-grzero		sing_2305.htm#SEC2381	
-gwalk		sing_1191.htm#SEC1267	
-hStarVector		sing_2431.htm#SEC2507	
-hVector		sing_2432.htm#SEC2508	
-h_increasing_knapsack	h_increasing_knapsack	sing_1967.htm#SEC2043	
-hardware platform		sing_406.htm#IDX259	
-hasAlgExtensionCoefficient	hasAlgExtensionCoefficient	sing_1049.htm#SEC1125	
-hasCommutativeVars		sing_1045.htm#SEC1121	
-hasFieldCoefficient		sing_1048.htm#SEC1124	
-hasGlobalOrdering		sing_1046.htm#SEC1122	
-hasMixedOrdering		sing_1047.htm#SEC1123	
-hasNumericCoeffs		sing_1044.htm#SEC1120	
-headStand		sing_1107.htm#SEC1183	
-heightZ		sing_1346.htm#SEC1422	
+group_reynolds		sing_1678.htm#SEC1754	
+grpower		sing_2312.htm#SEC2388	
+grpres		sing_2315.htm#SEC2391	
+grprod		sing_2323.htm#SEC2399	
+grrange		sing_2334.htm#SEC2410	
+grres		sing_2321.htm#SEC2397	
+grrndmap		sing_2327.htm#SEC2403	
+grrndmap2		sing_2328.htm#SEC2404	
+grrndmat		sing_2326.htm#SEC2402	
+grshift		sing_2307.htm#SEC2383	
+grsum		sing_2311.htm#SEC2387	
+grsyz		sing_2320.htm#SEC2396	
+grtest		sing_2304.htm#SEC2380	
+grtranspose		sing_2313.htm#SEC2389	
+grtranspose1		sing_2317.htm#SEC2393	
+grtwist		sing_2309.htm#SEC2385	
+grtwists		sing_2310.htm#SEC2386	
+grview		sing_2306.htm#SEC2382	
+grwalk.lib		sing_1188.htm#SEC1264	
+grwalk_lib		sing_1188.htm#SEC1264	
+grzero		sing_2308.htm#SEC2384	
+gwalk		sing_1194.htm#SEC1270	
+hStarVector		sing_2436.htm#SEC2512	
+hVector		sing_2437.htm#SEC2513	
+h_increasing_knapsack	h_increasing_knapsack	sing_1970.htm#SEC2046	
+hardware platform		sing_406.htm#IDX265	
+hasAlgExtensionCoefficient	hasAlgExtensionCoefficient	sing_1051.htm#SEC1127	
+hasCommutativeVars		sing_1047.htm#SEC1123	
+hasFieldCoefficient		sing_1050.htm#SEC1126	
+hasGlobalOrdering		sing_1048.htm#SEC1124	
+hasMixedOrdering		sing_1049.htm#SEC1125	
+hasNumericCoeffs		sing_1046.htm#SEC1122	
+hasTransExtensionCoefficient	hasTransExtensionCoefficient	sing_1052.htm#SEC1128	
+headStand		sing_1110.htm#SEC1186	
+heightZ		sing_1349.htm#SEC1425	
 help		sing_308.htm#SEC348	
 help browsers	The online help system	sing_16.htm#IDX22	
